Name: fonts-EzraSIL-unicode
Version: 2.0
Release: 1
License: Free for noncommercial purposes
Source: EzrSIL20.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: A Free Hebrew OpenType font package
URL: http://scripts.sil.org/EzraSIL_Home
Prereq: fontconfig 
Requires: pango >= 1.11.1
Requires: libgnomeprint22 >= 2.12.1
 
%description
Ezra SIL is the same typeface as SIL Ezra and is fashioned after the square letter forms of the typography of the Biblia Hebraica Stuttgartensia (BHS), a beautiful Old Testament volume familiar to Biblical Hebrew scholars. The Ezra SIL font is an OpenType "smart font". It is designed to work with Office 2003.

Feature list:
    * Unicode 4.0 support of Hebrew and Latin-1 codepages (no changes from Unicode 3.0).
    * Improved placement of extra-biblical punctuation, such as period and comma.
    * Includes Latin-1 characters, but should not be used for solely Latin texts, since the punctuation is done in a Hebrew style.
    * Works in any application that uses OpenType fonts.
    * Follows the recommendations for character order and encoding determined by a group of  font developers during discussions in May 2003. This does not follow canonical order. Texts which have been converted to NFC or NFD canonical order will not display correctly with these fonts.
    * No transliteration fonts are provided. Any font with full Latin support should be adequate for Hebrew transliteration.


%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/EzraSIL-unicode
cp Ezra*/Fonts/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/EzraSIL-unicode
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/EzraSIL-unicode/fonts.cache-1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts-EzraSIL-unicode
cp -rf Ezra*/Conversion Ezra*/Keyboards $RPM_BUILD_ROOT%{_datadir}/fonts-EzraSIL-unicode

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc Ezra*/Readme.txt
%doc Ezra*/Documentation/
%dir %{_datadir}/fonts/EzraSIL-unicode
%{_datadir}/fonts/EzraSIL-unicode/*.ttf
%ghost %{_datadir}/fonts/EzraSIL-unicode/fonts.cache-1
%dir %{_datadir}/fonts-EzraSIL-unicode/
%{_datadir}/fonts-EzraSIL-unicode/*/*

%changelog
* Tue Feb 28 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
